# https://gajim.org/downloads/1.0/gajim-1.0.3.tar.gz

Name:           gajim
Version:        1.0.3
Release:        %mkrel 2
Summary:        Gajim is a featured and easy to use Jabber client
Summary(de):    Gajim ist ein in PyGTK geschriebener Jabber-Client

License:        GPLv3
Group:          Networking/Instant messaging
URL:            https://gajim.org/
Source0:        %{name}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  desktop-file-utils
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       pulseaudio-utils
Requires:       python3-dbus
Requires:       python3-crypto
Requires:       python3-gnupg
Requires:       python3-gobject3
Requires:       python3-nbxmpp >= 0.6.5
Requires:       python3-pyasn1
Requires:       python3-pycurl
Requires:       python3-pyopenssl
Requires:       python3-six
Requires:       python3-cffi
Requires:       python3-pycparser
Requires:       python3-asn1crypto

%description
The goal of Gajim is to provide a full featured and easy to use Jabber
client written in PyGtk. Gajim works nicely with GNOME, but does not
require it to run. It is released under the GNU General Public License.

==============================
Optional runtime dependencies:
==============================
=> gspell
=> gstreamer1.0-plugins-base
=> %{_lib}farstream0.2_5
=> %{_lib}geoclue2_0
=> %{_lib}gupnp-igd1.0_4
=> %{_lib}secret1_0
=> %{_lib}xscrnsaver1
=> python3-docutils
=> python3-idna
=> python3-keyring
=> python3-pillow
==============================

%description -l de
Gajim ist ein freier Sofortnachrichten Instant Messaging(Sofortnachrichten)-Client für Jabber- bzw. XMPP-Netzwerke.
Er ist in Python geschrieben und verwendet GTK+. Gajim möchte einen leistungsstarken und einfach zu benutzenden
XMPP-Client für GTK+-Benutzer bereitstellen. Dabei benötigt es nicht zwangsläufig Gnome.
Benutzer mit gehobenen Ansprüchen finden mit der XML-Konsole ein praktisches Mittel zur Betrachtung der einzelnen XML-Pakete.

%prep
%setup -q

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}

desktop-file-install \
  --remove-category={"GNOME","GTK"} \
  --add-category="X-MandrivaLinux-Internet-InstantMessaging" \
  %{buildroot}%{_desktopdir}/org.%{name}.Gajim.desktop
%find_lang %{name}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%{_bindir}/%{name}*
%{python3_sitelib}/%{name}*
%{_desktopdir}/org.%{name}.Gajim.desktop
%{_iconsdir}/hicolor/*/apps/org.%{name}.Gajim*.*
%{_mandir}/man1/%{name}*.1.bz2
%{_datadir}/metainfo/org.%{name}.Gajim.appdata.xml

%changelog
* Fri May 21 2021 tex - 1.0.3-2pclos2021
- add dep to existing package
- update requires python 3.7

* Tue Sep 15 2020 tex - 1.0.3-1pclos2020
- new version

* Tue May 01 2018 marcin82 <fixxer1982 at gmail.com> 1.0.2-1pclos2018
- update

* Mon Apr 23 2018 marcin82 <fixxer1982 at gmail.com> 1.0.1-1pclos2018
- update

* Mon Dec 04 2017 marcin82 <m82 at op.pl> 0.16.9-1pclos2017
- update

* Sun Jun 04 2017 marcin82 <marcin82 at vp.pl> 0.16.8-1pclos2017
- update

* Wed Mar 01 2017 marcin82 <marcin82 at vp.pl> 0.16.7-1pclos2017
- update

* Wed Nov 09 2016 marcin82 <marcin82 at vp.pl> 0.16.6-1pclos2016
- update

* Wed Jan 06 2016 marcin82 <fixxer1982@gmail.com> 0.16.5-1pclos2016
- Version 0.16.5. Added runtime dependencies: python-async, python-pycurl,
  python-cryptography, python-ply, python-pycparser, python-six.
- Some changes in spec file.

* Wed Aug 05 2015 ghostbunny <ghostbunny at gmx dot de> 0.16.3-1pclos2015
- 0.16.3

* Tue Jul 28 2015 ghostbunny <ghostbunny at gmx dot de> 0.16.2-1pclos2015
- 0.16.2

* Fri May 01 2015 ghostbunny <ghostbunny at gmx dot de> 0.16.1-1pclos2015
- 0.16.1
